Loading...
Searching...
No Matches
BodyPart Struct Reference

Instance of a part of the body of the snake. More...

`#include <snake.h>`

## Public Member Functions

void | update (const unsigned int &new_x, const unsigned int &new_y, const Direction &new_direction)
| Updates the position and direction of the part.

## Public Attributes

unsigned int | x
| The position on the X-axis.
unsigned int | y
| The position on the Y-axis.
Direction | direction
| The current direction of the part.
Direction | prev_direction
| The previous direction of the part.
QGraphicsPixmapItem * | image

## Detailed Description

Instance of a part of the body of the snake.

## Member Data Documentation

## image

QGraphicsPixmapItem* BodyPart::image

The image which graphically represents the part

The documentation for this struct was generated from the following file:

- logdoctor/games/snake/snake.h